> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal a license secret



## OpenAPI

````yaml /api/openapi.json get /v1/licenses/{key}/secret
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/licenses/{key}/secret:
    get:
      tags:
        - Licenses
      summary: Reveal a license secret
      parameters:
        - schema:
            type: string
            pattern: ^lic_(live|test)_[A-Za-z0-9_-]{10,60}$
          in: path
          name: key
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: string
                  secret:
                    type: string
                required:
                  - key
                  - secret
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.